ONLINE COMPANY STORES

REQUIRED SECURITY UPDATE SEPT 1, 2017

 

On September 1, 2017 at 11 PM EST,  Internet Explorer 10 and older browsers will no longer be supported in our online company stores. In order to access your company store, you must use a modern browser that supports this security upgrade. If you do not upgrade your browser or use a newer version, you will not be able to access the online store.

MINIMUM BROWSERS SUPPORTED:
• Microsoft Edge
• Internet Explorer 11, released in 2013
• Google Chrome 22, released in 2012
• Mozilla Firefox 27, released in 2013
• Safari 7, released in 2013
• iOS 5, released in 2011

The purpose of this upgrade is to protect our online shoppers and their own personal data. By upgrading to the latest browser version, you are ensuring your personal data is protected by the latest standards, wherever the TLS 1.2 protocol is enabled, as you browse and shop other websites on the internet.

Thank you,

The Leadership Team
eCompanyStore, LLC.